%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/maxatome/go-testdeep
Version:                1.13.0

%gometa


%global common_description %{expand:
Extremely flexible golang deep comparison, extends the go testing package,
tests HTTP APIs and provides tests suite.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Tests HTTP APIs and provides tests suite

License:        BSD-2-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
